@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700&display=swap");

/* universal */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  font-family: "Montserrat", sans-serif;
}

button {
  cursor: pointer;
}

body {
  margin-top: 60px;
}

/* nav */
nav {
  display: flex;
  justify-content: space-between;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.7);
  align-items: center;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  padding: 10px 50px;
  background-color: #fff;
  z-index: 999;
}

nav .nav-left {
  display: flex;
  flex-grow: 2;
}

nav .nav-left .logo {
  background-color: darkcyan;
  width: 40px;
  height: 40px;
  text-align: center;
  border-radius: 25%;
  color: #fff;
  line-height: 40px;
  font-size: 20px;
}

nav .nav-left .logo {
  text-shadow: 3px 3px 3px rgba(0, 0, 0, 0.7);
}

nav .nav-left ul {
  display: flex;
  justify-content: space-evenly;
  width: 50%;
  align-items: center;
}

nav a {
  color: black;
}

nav a:hover {
  color: #999;
}

nav .nav-right {
  flex: 1;
  display: flex;
  justify-content: flex-end;
}

nav button {
  padding: 5px 10px;
}

nav .nav-right button:first-child {
  margin-right: 30px;
  border: 1px solid transparent;
  background-color: #fff;
  transition: 0.3s;
  border-radius: 5px;
}

nav .nav-right button:first-child:hover {
  border: 1px solid darkcyan;
  color: darkcyan;
}

nav .nav-right button:last-child {
  background-color: darkcyan;
  border: none;
  border-radius: 5px;
  color: #fff;
}

nav .nav-right button:last-child:hover {
  background-color: rgb(1, 112, 112);
}

.hero {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50vh;
}

.hero .content-hero {
  text-align: center;
  line-height: 2;
}

.hero h1 {
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.7);
}

.hero p {
  color: #666;
  font-style: italic;
}

.hero .content-hero input {
  width: 100%;
  border: 0;
  padding: 10px 15px;
  margin-top: 30px;
  box-shadow: 0 0 3px 1px rgba(0, 0, 0, 0.7);
  border-radius: 4px;
}

.hero .content-hero input:focus {
  outline: 1px solid darkcyan;
  box-shadow: 0 0 3px 1px rgba(0, 139, 139, 0.705);
}

/* pricing */
.pricing {
  margin: 100px 0;
}

.pricing h2,
.developer h2 {
  text-align: center;
  margin-bottom: 50px;
}

.pricing .card-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 50px;
}

.pricing .card-row .card {
  width: 300px;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.7);
  background-color: #fff;
  padding: 40px 20px;
  position: relative;
  border-top: 3px solid darkcyan;
  transition: all 0.3s;
}

.pricing .card-row .card:hover {
  transform: scale(1.1);
}

.pricing .card-row .card h3 {
  margin-bottom: 15px;
}

.pricing .card-row .card p {
  color: #666;
  margin-bottom: 30px;
}

.pricing .card-row .card button {
  padding: 5px 20px;
  background-color: darkcyan;
  border: none;
  border-radius: 5px;
  color: #fff;
  font-weight: 600;
  position: absolute;
  bottom: 0;
  margin-bottom: 10px;
}

.pricing .card-row .card button:active {
  transform: scale(1.1);
}

/* developer */
.developer {
  margin-bottom: 100px;
}

.developer .person-wrap {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  gap: 50px;
}

.developer .person-wrap .person {
  display: flex;
  gap: 20px;
  background-color: #eee;
  padding: 20px;
  width: 50%;
  align-items: center;
  border-radius: 5px;
}

.developer .person-wrap p {
  font-size: 14px;
  padding: 5px 0 10px;
}

.developer .person-wrap p:nth-child(2) {
  color: #666;
  font-style: italic;
}

.developer .person-wrap .person img {
  width: 100px;
  height: 100px;
  border-radius: 50%;
}

/* footer */
footer {
  display: flex;
  height: 150px;
  background-color: #444;
  justify-content: space-evenly;
}

.footer-content {
  margin-top: 30px;
}

footer .footer-content h4 {
  color: #fff;
  margin-bottom: 10px;
}

footer .footer-content a,
footer li {
  color: #aaa;
  font-size: 14px;
}

footer .footer-content a:hover {
  color: #eee;
}

@media (max-width: 875px) {
  nav {
    padding: 10px;
  }

  nav button {
    font-size: 70%;
  }

  nav .nav-left {
    flex: 2;
  }

  nav .nav-left ul {
    width: 70%;
    margin-left: 10px;
  }

  nav .nav-right {
    flex-grow: 1;
  }

  nav .nav-right button:first-child {
    margin-right: 20px;
  }

  .hero {
    padding: 0 20px;
  }

  .developer {
    padding: 0 10px;
  }

  .developer .person-wrap .person {
    width: 100%;
  }
}
